Read owned request status

GET
/api/v1/data/requests/{id}
X-API-Key<token>

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/data/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",  "url": "http://example.com",  "status": "pending",  "cached": true,  "protected": true,  "pricing_version": 1,  "base_tokens": 0,  "protected_tokens": 0,  "captcha_tokens": 0,  "captcha_type": "string",  "token_state": "reserved",  "request": {    "origin": "http://example.com",    "has_path": true,    "has_query": true,    "proxy": "random",    "mode": "direct",    "execution_strategy": "string",    "execution_start_hint": "string",    "geo_country": "st",    "javascript": true,    "resource_policy": "fast",    "timeout_ms": 5000,    "has_headers": true,    "has_cookies": true,    "debug_artifacts_enabled": true  },  "debug_artifacts": {    "enabled": true,    "state": "not_requested",    "expires_at": "2019-08-24T14:15:22Z"  },  "error": {    "code": "string",    "message": "string"  },  "user_error": {    "code": "string",    "message": "string",    "retryable": true,    "category": "page",    "attempts": 0,    "fields": [      "string"    ]  },  "result_meta": {},  "proxy_used": "string",  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z",  "result_expires_at": "2019-08-24T14:15:22Z"}